
import java.awt.*;
import javax.swing.*;


// Schalter nimmt die gesamte Breite in CENTER ein
public class BorderLayout1 extends JFrame {


  //Frame konstruieren
  public BorderLayout1() {
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setGUI();
    setSize(400, 300);
    setTitle("BorderLayout1");
  } // create

  private void setGUI() {
    JButton bn1;

    // 3/1   vgap  hgap (Ränder)
    this.getContentPane().setLayout (
       new BorderLayout(3,1) );

    bn1 = new JButton("1. Text");  // Label erzeugen
    JPanel pn = new JPanel();
     // bei South komplett in Frame
    //this.getContentPane().add(bn1, BorderLayout.SOUTH);
     // bei Center nur in Originalgroesse im Frame
    this.getContentPane().add(bn1,  BorderLayout.SOUTH);
  }  // setGUI


  public static void main(String[] args) {
    BorderLayout1 frame = new BorderLayout1();
    frame.setVisible(true);
  }


}
